Magic 8.3.3

Add fully customizable magic wands, items, spells, mobs and more to your server!

  1. Kunfury
    Kunfury
    5/5,
    Version: 8.3.3
    Hello, I'm the developer of a plugin that also utilizies custom resources. Could you please point me towards where in your code you handle the automatically loading of the resource pack if the server doesn't currently have on set?
    1. NathanWolf
      Author's Response
  2. Tutinhk
    Tutinhk
    5/5,
    Version: 8.3.3
    [13:25:39 WARN]: [Magic] Failed to create item in selector: wand|wolfhouse
    [13:29:55 WARN]: [Magic] Failed to create item in selector: spell:polymorph

    please help me, im playing on 1.16.5 if it helps :(
    1. NathanWolf
      Author's Response
      polymorph requires the LibsDisguise plugin. I will remove wolfhouse from the shop, but both of those messages are warnings and can be ignored.
  3. TheCapitanMC
    TheCapitanMC
    5/5,
    Version: 8.3.3
    I installed the plugin and it seems incredible to me but the textures do not load and I have no other texture on my server. How can I activate them in version 1.16.5
    1. NathanWolf
      Author's Response
      They are on by default, if you use "/getrp" and have RP's enabled for the server in your client.
  4. peTRUexe
    peTRUexe
    5/5,
    Version: 8.3.3
    Hi magic is always cool, this plugin have a loooot of configs, which for me is a little bit scary haha. But i have one question, which resurce pack should i get for server version 1.16.3?
    1. NathanWolf
      Author's Response
      It's best to let the plugin handle it, you can use "/getrp url" to get a download link if you need it
  5. fin95
    fin95
    5/5,
    Version: 8.3.3
    very well done plugin and very good support


    ----------------------------------------------------------------
    1. NathanWolf
      Author's Response
      Thank you <3
  6. CrisTVH
    CrisTVH
    5/5,
    Version: 8.3.3
    The players on my network love this plugin quite is very addictive and with a lot of variety.
    1. NathanWolf
      Author's Response
      Thank you :)
  7. CrisTVH
    CrisTVH
    5/5,
    Version: 8.3.2
    1. NathanWolf
      Author's Response
      Thank you! Will be in the next dev build and release :)
  8. StingrayHunter
    StingrayHunter
    5/5,
    Version: 8.3.1
    Everythings perfect love this plugin but can't seem to get natural mob spawning right. How do I get magic mobs to spawn naturally in the world? I downloaded Magic Worlds and put it in the worlds file and I'm only having the mobs from the examples file spawn naturally such as the dark wizard, mega spider, polarghast, etc. I edited the examples file and included all the mobs I want yet they won't spawn. Is there another file I have to update?
    1. NathanWolf
      Author's Response
      On recent Magic, remove MagicWorlds and use the command "/mconfig example add spawnmobs" - that's it!
  9. xuanzhou
    xuanzhou
    5/5,
    Version: 8.3.1
    No one else is better than Magic,I have used for four years.Now May I repost this plugin and translate the WIKI to Chinese?The MCBBS forum is the biggest MC community in China.If you reply,I'll spell my thanks beyond words.Oh,I'll only mark the original download page to let them download here.
    1. NathanWolf
      Author's Response
      That's fine with me- just please point them back here for support. Shame github wiki doesn't support translation, I'd love to have it right on there.
  10. CrisTVH
    CrisTVH
    5/5,
    Version: 8.3
    Bastante bueno como siempre ya viene siendo hora de que actualice su traducción al español ;3
    1. NathanWolf
      Author's Response
      Gracias! But my Spanish is terrible ... want to help? :D
  11. Markjordanugtong
    Markjordanugtong
    4/5,
    Version: 8.2.2
    The plugin is really good and awesome so cool but you guys should update it here too please?
    1. NathanWolf
      Author's Response
      The version here is the latest release. Why would you give me 4 stars for that ffs?
  12. hkarmaments
    hkarmaments
    5/5,
    Version: 8.2.2
    best plugin ever, has more content than most datapacks, easy to use, super fun.The live demo is so helpful, and just fun in general, definetly should check that out if you arent sure about the plugin.
    1. NathanWolf
      Author's Response
      Thank you very much!
  13. 0_Shadowed
    0_Shadowed
    5/5,
    Version: 8.2.2
    This is the BEST plugin I have ever installed on Spigot, it has more spells than you can imagine. The wand skins are great, the effects on the spells are also amazing. All the spells are nicely balanced (cooldowns and mana). This mod is also great for survival as you need a good amount of items to craft the wands. Overall I love this plugin. 10/5 if I could. Thanks for reading :)
    1. NathanWolf
      Author's Response
      Thank you!!
  14. haiztek
    haiztek
    5/5,
    Version: 8.2.2
    What a magnificent plugin, outstanding gameplay experience, 7/5 stars, Good job
    Suggestion: pls add multiverse compatibility which to blacklist world(s) from using the plugin ;)
    1. NathanWolf
      Author's Response
      If you can do per-world permission you can block "Magic.wand.use" from specific worlds. Thanks for the review!
  15. makemoreloveTTV
    makemoreloveTTV
    5/5,
    Version: 8.2.2
    Outstanding work!
    Very, very impressive.

    I had only one problem tho :D
    In colorshop I was unable to remove the cube that gives random colors to wands. I was able to disable all color options, but not the cursed cube :)
    1. NathanWolf
      Author's Response
      Thank you for the review? We got this sorted out in Discord, right?
  16. KatelynnChan
    KatelynnChan
    5/5,
    Version: 8.2
    Truly a magnificent plugin, although it is confusing how to start a journey going through the magic plugin the video that the description provides gives us a good start... I recommend this if you're looking for something RPG style or Medieval.
    1. NathanWolf
      Author's Response
      Thank you! I'm hoping to add more tutorial videos to help with that, as well as improving the RPG-ness.
  17. Pr0ximity
    Pr0ximity
    4/5,
    Version: 8.2
    I didn't want to leave a bad review but it's not working on a server that it was added to I sent it to someone to use for there Minecraft sever on 1.16.4 I think and it didn't work
    1. NathanWolf
      Author's Response
      Oh my god I just noticed you literally created an account just to leave this message. Don't want to leave a bad review my ass- god people like this are so annoying you seriously make me want to ragequit spigotmc completely.
  18. MrEMan
    MrEMan
    5/5,
    Version: 8.2
    Amazing :)
    There is nothing I can add that hasn't already been mentioned.
    Perhaps one thing... do the live demo. It is extremely well built and explains everything
    Regards
    1. NathanWolf
      Author's Response
      Thank you! And I'm glad you like the demo server, I really need to update it though :)
  19. sandpet
    sandpet
    5/5,
    Version: 8.1.1
    Excelent! Super fun!
    ...........................................................
    1. NathanWolf
      Author's Response
      Thank you!
  20. Quezo
    Quezo
    5/5,
    Version: 8.1.1
    Exellent, this plugin is awesome, but, How can you change the language of the plugin?
    1. NathanWolf
      Author's Response
      Thank you! Try the command "mconfig configure config language ES"
      I know that is a handful, in the next version it will be easier, like "mconfig language ES"